<%@ page import="com.atlassian.jira.ManagerFactory,
                 com.atlassian.jira.config.properties.APKeys,
                 com.atlassian.jira.config.properties.ApplicationProperties"%>
<%@ page import="com.atlassian.plugin.webresource.WebResourceManager"%>
<%@ page import="com.atlassian.jira.ComponentManager"%>
<%@ page import="com.atlassian.jira.config.properties.LookAndFeelBean" %>
<%@ page import="com.atlassian.jira.util.BrowserUtils" %>
<%@ page import="com.opensymphony.util.TextUtils" %>
<%@ taglib uri="sitemesh-decorator" prefix="decorator" %>
<%@ taglib uri="webwork" prefix="webwork" %>

<%
ApplicationProperties ap = ManagerFactory.getApplicationProperties();
WebResourceManager webResourceManager = ComponentManager.getInstance().getWebResourceManager();
final LookAndFeelBean lAndF = LookAndFeelBean.getInstance(ap);
%>

<%-- get the decorator page object, for use within the decorator --%>
<decorator:usePage id="decoratorPage" />

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title><decorator:title default="JIRA" /></title>
    <meta http-equiv="Content-Type" content="<%= ap.getContentType() %>" />
    <meta http-equiv="Pragma" content="no-cache" />
    <meta http-equiv="Expires" content="-1" />
    <%@ include file="/includes/decorators/uacompatibility.jsp" %>

    <%@ include file="/includes/decorators/stylesheettag.jsp" %>
    <script language="JavaScript" type="text/javascript" src="<%=request.getContextPath()%>/includes/js/combined-javascript.js"></script>
<%
    webResourceManager.includeResources(out);
%>
</head>
<%
    String topBgColour = lAndF.getTopBackgroundColour();
    String topSepBgColour = lAndF.getTopSeparatorBackgroundColor();
    String menuBgColour = lAndF.getMenuBackgroundColour();
    String linkColour = lAndF.getTextLinkColour();
    String linkAColour = lAndF.getTextActiveLinkColour();

    String jiraLogo = lAndF.getLogoUrl();
    if (jiraLogo != null && !jiraLogo.startsWith("http://") && !jiraLogo.startsWith("https://"))
    {
        jiraLogo = request.getContextPath() + jiraLogo;
    }

    String userAgent = TextUtils.noNull(request.getHeader("USER-AGENT"));
    boolean logoNeedsOpacityFix = jiraLogo != null && jiraLogo.endsWith(".png") && BrowserUtils.isFilterBasedPngOpacity(userAgent);
%>
<body bgcolor="#ffffff" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" link="<%= linkColour %>" vlink="<%= linkColour %>" alink="<%= linkAColour %>">
<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="#ffffff">
<tr><td bgcolor="<%= topBgColour %>">
    <webwork:component name="'default'" template="logoWithOpacity.jsp" >
        <webwork:param name="'needsOpacityFix'"><%= logoNeedsOpacityFix %></webwork:param>
        <webwork:param name="'logoTitle'"><%= ap.getDefaultBackedString(APKeys.JIRA_TITLE) %></webwork:param>
        <webwork:param name="'logoUrl'"><%= jiraLogo %></webwork:param>
        <webwork:param name="'logoWidth'"><%= lAndF.getLogoWidth() %></webwork:param>
        <webwork:param name="'logoHeight'"><%= lAndF.getLogoHeight() %></webwork:param>
    </webwork:component>
</td></tr>
<tr><td bgcolor="<%= topSepBgColour %>"><img src="<%= request.getContextPath() %>/images/border/spacer.gif" height="2" width="1" alt=""></td></tr>
<tr><td bgcolor="<%= menuBgColour %>"><img src="<%= request.getContextPath() %>/images/border/spacer.gif" height="5" width="1" alt=""></td></tr>
</table>

<table border="0" cellpadding="5" cellspacing="0" width="100%" bgcolor="#ffffff">
<tr><td>
		<h4 class="headline"><decorator:title /></h4>

		<decorator:body />
</td></tr>
</table>

</body>
</html>
