if (atlassian === undefined) {
    var atlassian = {};
}
if (atlassian.jira === undefined) {
    atlassian.jira = {};
}
if (atlassian.jira.favourite === undefined) {
    atlassian.jira.favourite = {};
}

atlassian.jira.favourite.NewFavouriteControl = function(fieldId) {
    var enabledDiv =  document.getElementById('fav_new_enabled_div_' + fieldId);
    var disabledDiv = document.getElementById('fav_new_disabled_div_' + fieldId);
    var valueField = document.getElementById('fav_new_' + fieldId);

    enabledDiv.onclick = function() {
        enabledDiv.style.display = "none";
        disabledDiv.style.display = "";
        valueField.value = "false";
    };
    disabledDiv.onclick = function() {
        enabledDiv.style.display = "";
        disabledDiv.style.display = "none";
        valueField.value = "true";
    };
    

}

atlassian.jira.favourite.FavouriteControl = function(enabled, tableId, entityType, entityId, removeId, originalOrderVar)
{
    var divId = tableId +  '_' + entityType + '_' + entityId;
    var ctx = {
        tableId : tableId,
        entityType : entityType,
        entityId : entityId,
        divId : divId,
        enabledDiv : document.getElementById('fav_enabled_div_' + divId),
        disabledDiv : document.getElementById('fav_disabled_div_' + divId),
        waitDiv : document.getElementById('fav_wait_div_' + divId),
        undoDiv : document.getElementById('fav_undo_div_' + divId),
        removeEl : document.getElementById(removeId),
        undoContainer : document.getElementById('undo_div'),
        favCountEnabled : document.getElementById('fav_count_enabled_'+ divId),
        favCountDisabled : document.getElementById('fav_count_disabled_'+ divId),

        invalidateFiltersList : function() {
            jira.widget.MenuButton.invalidateMenuButton('saved_filters');
        }
    };

    if (enabled)
    {
        ctx.enabledDiv.style.display = '';
    }
    else
    {
        ctx.disabledDiv.style.display = '';
    }

    ctx.enabledDiv.onclick = function()
    {
        ctx.enabledDiv.style.display = 'none';
        ctx.waitDiv.style.display = '';
        var dwrCallContext = {
            callback : function(success)
            {
                ctx.waitDiv.style.display = 'none';
                if (success)
                {
                    ctx.invalidateFiltersList();
                    ctx.disabledDiv.style.display = '';
                    if (ctx.favCountDisabled)
                    {
                        ctx.favCountDisabled.style.display = '';
                        ctx.favCountEnabled.style.display = 'none';
                    }

                    if (ctx.removeEl)
                    {
                        ctx.removeEl.style.display='none';
                        recolourSimpleTableRows(ctx.tableId);
                        if (ctx.undoContainer)
                        {
                            ctx.undoContainer.style.display = "";
                            var copyNode = ctx.undoDiv.cloneNode(true);
                            copyNode.style.display = '';
                            ctx.undoContainer.appendChild(copyNode);
                            copyNode.onclick = function(){
                                var dwrCallContext = {
                                    callback : function(success)
                                    {
                                        if (success)
                                        {
                                            ctx.invalidateFiltersList();
                                            ctx.enabledDiv.style.display = '';
                                            ctx.disabledDiv.style.display = 'none';
                                            if (ctx.favCountDisabled)
                                            {
                                                ctx.favCountDisabled.style.display = 'none';
                                                ctx.favCountEnabled.style.display = '';
                                            }
                                            if (ctx.removeEl)
                                            {
                                                ctx.removeEl.style.display = '';
                                                recolourSimpleTableRows(ctx.tableId);
                                            }
                                            if (ctx.undoContainer)
                                            {
                                                ctx.undoContainer.removeChild(copyNode);
                                                if (ctx.undoContainer.childNodes.length == 0)
                                                {
                                                    ctx.undoContainer.style.display = "none";
                                                }
                                            }
                                        }
                                        else
                                        {
                                            copyNode.innerHTML = "Unable to add back. Sorry.";
                                        }
                                    },
                                    timeout : 5000,
                                    errorHandler : function(message)
                                    {
                                        copyNode.innerHTML = message;
                                    },
                                    warningHandler : function(message)
                                    {
                                        copyNode.innerHTML = message;
                                    }

                                };

                                AjaxFavouriteControl.undo(ctx.entityType, ctx.entityId, originalOrderVar, dwrCallContext);
                            };
                        }
                    }
                }
                else
                {
                    ctx.enabledDiv.style.display = '';
                }
            },
            timeout : 5000,
            errorHandler : function(message)
            {
                ctx.waitDiv.style.display = 'none';
                ctx.enabledDiv.style.display = '';
                var image = document.getElementById('fav_enabled_img_' + ctx.divId)
                image.title = message;
            },
            warningHandler : function(message)
            {
                ctx.waitDiv.style.display = 'none';
                ctx.enabledDiv.style.display = '';
                var image = document.getElementById('fav_enabled_img_' + ctx.divId)
                image.title = message;
            }

        };
        AjaxFavouriteControl.setFavourite(ctx.entityType, ctx.entityId, false, dwrCallContext);
    };

    ctx.disabledDiv.onclick = function()
    {
        ctx.disabledDiv.style.display = 'none';
        ctx.waitDiv.style.display = '';
        var dwrCallContext = {
            callback : function(success)
            {
                ctx.waitDiv.style.display = 'none';
                if (ctx.favCountDisabled)
                {
                    ctx.favCountDisabled.style.display = 'none';
                    ctx.favCountEnabled.style.display = '';   
                }
                if (success)
                {
                    ctx.invalidateFiltersList();
                    ctx.enabledDiv.style.display = '';
                }
                else
                {
                    ctx.disabledDiv.style.display = '';
                }
            },
            timeout : 5000,
            errorHandler : function(message)
            {
                ctx.waitDiv.style.display = 'none';
                ctx.disabledDiv.style.display = '';
                var image = document.getElementById('fav_disabled_img_' + ctx.divId)
                image.title = message;

            },
            warningHandler : function(message)
            {
                ctx.waitDiv.style.display = 'none';
                ctx.disabledDiv.style.display = '';
                var image = document.getElementById('fav_disabled_img_' + ctx.divId)
                image.title = message;
            }

        };
        AjaxFavouriteControl.setFavourite(ctx.entityType, ctx.entityId, true, dwrCallContext);
    };
}
