<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><webwork:text name="'common.concepts.managefilters'"/></title>
</head>
<body>
<table cellpadding=0 cellspacing=0 border=0 width=100%>
    <tr>
        <td class="filterSummaryCell">
            <jsp:include page="/includes/navigator/summary-pane.jsp" />
        </td>
        <td bgcolor="#ffffff" valign="top">
        <table width="100%" cellpadding=10 cellspacing=0 border=0 align="center"><tr><td>
        <page:applyDecorator name="jirapanel">
            <page:param name="title"><webwork:text name="'common.concepts.managefilters'"/></page:param>
            <page:param name="width">100%</page:param>
            <page:param name="helpURL">issue_filters</page:param>
            <page:param name="helpURLFragment">#managing_filters</page:param>

            <webwork:if test="/standard == true">
                <webwork:text name="'managefilters.desc.std'"/>
            </webwork:if>
            <webwork:else>
                <webwork:text name="'managefilters.desc'"/>
            </webwork:else>
            <webwork:if test="mailConfigured == false && filtersWithSubscriptionsCount > 0">
                <br><br>
                <b><webwork:text name="'filters.no.mail.configured'"/></b>
            </webwork:if>
            <div align="center">
                <div id="undo_div" class="infoBox" style="width:40%; text-align:left; display:none; margin-top:1em;"></div>
            </div>
        </page:applyDecorator>
        <br/>
        <%--  // --%>
        <%--  // SEARCH RESULTS SECTION HERE--%>
        <%-- // --%>
        <webwork:if test="filterView == 'search' && tabShowing('search') == true">
            <jsp:include page="managefilters-tabs.jsp" />

            <form action="ManageFilters.jspa" method="get" style="margin:0px;" name="filterSearchForm">
                <input type="hidden" name="filterView" value="<webwork:property value="/filterView"/>"/>
                <table class="filterSearchInput" cellpadding="0" cellspacing="0">
                    <tr>
                        <td class="filterSearchInputRightAligned fieldLabelArea"><webwork:text name="'common.concepts.search'"/>:</td>
                        <ui:textfield label="text('common.concepts.search')" name="'searchName'" theme="'single'">
                            <ui:param name="'formname'" value="'filterSearchForm'"/>
                            <ui:param name="'mandatory'" value="false"/>
                            <ui:param name="'size'" value="50"/>
                            <ui:param name="'maxlength'" value="50"/>
                            <ui:param name="'description'" value="text('filters.search.text.desc')"/>
                        </ui:textfield>
                        <td class="fieldLabelArea" width="10%"><webwork:text name="'common.concepts.author'"/>:</td>
                        <%--Already has a TD--%>
                        <ui:component label="text('admin.common.words.owner')" name="'searchOwnerUserName'" template="userselect.jsp" theme="'single'">
                            <ui:param name="'formname'" value="'filterSearchForm'"/>
                            <ui:param name="'mandatory'" value="false"/>
                        </ui:component>
                        <td width="100%">&nbsp;</td>
                        <td>
                            <webwork:component template="help.jsp" name="'issue_filters'" >
                                <webwork:param name="'helpURLFragment'">#finding_filters</webwork:param>
                            </webwork:component>
                        </td>
                    </tr>
                    <webwork:if test="/userLoggedIn == true">
                    <tr>
                        <webwork:component name="'shares'" label="text('common.concepts.shared.with')" template="select-share-types.jsp" >
                            <webwork:param name="'class'" value="'filterSearchInputRightAligned fieldLabelArea'"/>
                            <webwork:param name="'valueColSpan'" value="5"/>
                            <webwork:param name="'noJavaScriptMessage'">
                                <webwork:text name="'common.sharing.no.share.javascript'"/>
                            </webwork:param>
                            <webwork:param name="'shareTypeList'" value="/filtersViewHelper/shareTypeRendererBeans"/>
                            <webwork:param name="'dataString'" value="/filtersViewHelper/searchShareTypeJSON"/>
                            <webwork:param name="'anyDescription'"><webwork:text name="'common.sharing.search.template.any.desc.SearchRequest'"/></webwork:param>
                        </webwork:component>
                    </tr>
                    </webwork:if>
                    <webwork:else>
                    <ui:component template="multihidden.jsp" >
                        <ui:param name="'fields'">searchShareType,groupShare,projectShare,roleShare</ui:param> <%-- TODO: why not use the back end ShareType* shit to get these? --%>
                    </ui:component>
                    </webwork:else>
                    <tr>
                        <td colspan="6" align="center" style="padding-top:0px;">
                            <input name="Search" type="submit" value="<webwork:text name="'common.concepts.search'"/>"/>
                        </td>
                    </tr>
                </table>
            </form>
            <webwork:if test="/searchRequested == true && /filters/size > 0">
                <webwork:component name="text('common.concepts.search')" template="filter-list.jsp">
                    <webwork:param name="'id'" value="'mf_browse'"/>
                    <webwork:param name="'filterList'" value="/filters"/>
                    <webwork:param name="'operations'">false</webwork:param>
                    <webwork:param name="'shares'" value="/canShowShares"/>
                    <webwork:param name="'favourite'" value="/canShowFavourite"/>

                    <webwork:param name="'sort'" value="true"/>
                    <webwork:param name="'sortColumn'" value="/sortColumn"/>
                    <webwork:param name="'viewHelper'" value="/filtersViewHelper"/>
                    <webwork:param name="'linkRenderer'" value="/filterLinkRenderer"/>

                    <webwork:param name="'paging'" value="true"/>
                    <webwork:param name="'pagingMessage'">
                        <webwork:text name="'common.sharing.searching.results.message'">
                            <webwork:param name="'value0'"><webwork:property value="/startPosition"/></webwork:param>
                            <webwork:param name="'value1'"><webwork:property value="/endPosition"/></webwork:param>
                            <webwork:param name="'value2'"><webwork:property value="/totalResultCount"/></webwork:param>
                        </webwork:text>
                    </webwork:param>
                    <webwork:param name="'pagingPrevUrl'" value="/previousUrl"/>
                    <webwork:param name="'pagingNextUrl'" value="/nextUrl"/>
                    <webwork:param name="'emptyMessage'"><webwork:text name="/searchEmptyMessageKey"/></webwork:param>
                </webwork:component>
            </webwork:if>
            <webwork:else>
                <div class="jiraCenteredContent"><div style="margin-top:1em;border:1px solid #bbb; padding:5px;">
                <webwork:if test="/searchRequested == true">
                    <webwork:text name="/searchEmptyMessageKey"/>
                </webwork:if>
                <webwork:else>
                    <webwork:text name="'common.sharing.searching.no.search.performed'"/>
                </webwork:else>
                </div></div>
            </webwork:else>
        </webwork:if>
        <%--//--%>
        <%--// POPULAR RESULTS SECTION HERE--%>
        <%--//--%>
        <webwork:elseIf test="filterView == 'popular' && tabShowing('popular') == true">
            <jsp:include page="managefilters-tabs.jsp" />

            <webwork:component name="text('common.concepts.popular')" template="filter-list.jsp">
                <webwork:param name="'id'" value="'mf_popular'"/>
                <webwork:param name="'filterList'" value="/filters"/>
                <webwork:param name="'operations'">false</webwork:param>
                <webwork:param name="'shares'" value="/canShowShares"/>
                <webwork:param name="'favourite'" value="/canShowFavourite"/>

                <webwork:param name="'sort'" value="false"/>
                <webwork:param name="'sortColumn'" value="/sortColumn"/>
                <webwork:param name="'viewHelper'" value="/filtersViewHelper"/>
                <webwork:param name="'linkRenderer'" value="/filterLinkRenderer"/>

                <webwork:param name="'paging'" value="false"/>
                <webwork:param name="'emptyMessage'"><webwork:text name="'filters.no.search.results'"/></webwork:param>
                <webwork:param name="'viewHelper'" value="/filtersViewHelper"/>
            </webwork:component>
        </webwork:elseIf>
        <%--//--%>
        <%--// MY RESULTS SECTION HERE--%>
        <%--//--%>
        <webwork:elseIf test="filterView == 'my' && tabShowing('my') == true">
            <jsp:include page="managefilters-tabs.jsp" />

            <webwork:component name="text('managefilters.my')" template="filter-list.jsp">
                <webwork:param name="'id'" value="'mf_owned'"/>
                <webwork:param name="'filterList'" value="/filters"/>
                <webwork:param name="'owner'">false</webwork:param>
                <webwork:param name="'favcount'">false</webwork:param>
                <webwork:param name="'favourite'" value="/canShowFavourite"/>
                <webwork:param name="'shares'" value="/canShowShares"/>
                <webwork:param name="'emptyMessage'"><webwork:text name="'filters.no.owned.filters'"/></webwork:param>
                <webwork:param name="'returnUrl'" value="/returnUrl"/>
                <webwork:param name="'viewHelper'" value="/filtersViewHelper"/>
                <webwork:param name="'linkRenderer'" value="/filterLinkRenderer"/>
            </webwork:component>
        </webwork:elseIf>
        <%--// --%>
        <%--// FAVOURITE RESULTS SECTION HERE--%>
        <%--//--%>
        <webwork:elseIf test="filterView == 'favourites' && tabShowing('favourites') == true">
            <jsp:include page="managefilters-tabs.jsp" />
            <webwork:component name="text('common.favourites.favourite')" template="filter-list.jsp">
                <webwork:param name="'id'" value="'mf_favourites'"/>
                <webwork:param name="'filterList'" value="/filters"/>
                <webwork:param name="'favcount'">false</webwork:param>
                <webwork:param name="'remove'">true</webwork:param>
                <webwork:param name="'shares'" value="/canShowShares"/>
                <webwork:param name="'favourite'" value="/canShowFavourite"/>
                <webwork:param name="'emptyMessage'"><webwork:text name="'filters.no.favourite'"/></webwork:param>
                <webwork:param name="'returnUrl'" value="/returnUrl"/>
                <webwork:param name="'viewHelper'" value="/filtersViewHelper"/>
                <webwork:param name="'linkRenderer'" value="/filterLinkRenderer"/>
            </webwork:component>
        </webwork:elseIf>
        <webwork:else>
            <jsp:include page="managefilters-tabs.jsp" />
            <div class="noteBox"><webwork:text name="'filters.no.tab.permssion'"/></div>
        </webwork:else>
        </td></tr></table>
        </td>
    </tr>
</table>

</body>
</html>

